Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

brlapi-python-4.1-7 RPM for i586

From Mandriva 2011 for i586 / media / main / release

Name: brlapi-python Distribution: Mandriva Linux
Version: 4.1 Vendor: Mandriva
Release: 7 Build date: Tue May 3 06:01:43 2011
Group: Development/Python Build host: n7.mandriva.com
Size: 109841 Source RPM: brltty-4.1-7.src.rpm
Packager: Oden Eriksson <oeriksson@mandriva.com>
Url: http://mielke.cc/brltty/
Summary: Python bindings for BrlAPI
This package provides the Python bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Python application
which directly accesses a refreshable braille display.

Provides

Requires

License

GPLv2+

Changelog

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 4.1-7mdv2011.0
  + Revision: 663338
  - mass rebuild
* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 4.1-6
  + Revision: 635008
  - rebuild
  - tighten BR
* Thu Nov 04 2010 G?tz Waschk <waschk@mandriva.org> 4.1-5mdv2011.0
  + Revision: 593321
  - rebuild for new python 2.7
  
    + Funda Wang <fwang@mandriva.org>
      - rebuild for py2.7
* Wed Feb 03 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.1-2mdv2011.0
  + Revision: 500156
  - rebuild for latest ocaml
* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 4.1-1mdv2010.1
  + Revision: 462442
  - Sync with Fedora:
    * Use configure option to disable stripping instead of patch
    * Use CPPFLAGS variable to fix detection of java includes
    * Use single quotes when passing the value of brltty_summary_lines,
      so that is not garbled.
    * fix parallell make
  - BuildRequires: subversion because configure script uses svnversion
  - BuildRequires: ncursesw-devel for UTF-8 support
  - Update to new version 4.1
  - Remove javainclude patch: not needed
  - Fix license
* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 4.0-3mdv2010.0
  + Revision: 448824
  - add buildconflict for findlib, since support for building with
    ocamlfind is broken (from Arnaud Patard)
  - disable java on mips & arm (from Arnaud Patard)
* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.0-2mdv2010.0
  + Revision: 400302
  - fix ocaml package description
  - fix ocaml files installation
* Sat May 16 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0-1mdv2010.0
  + Revision: 376478
  - Re-add java include patch, it is still needed
  - Update to new version 4.0
  - Remove two build fix patches which ware not needed anymore
* Sat Mar 28 2009 Funda Wang <fwang@mandriva.org> 3.10-2mdv2009.1
  + Revision: 361863
  - rebuild for new libxaw
* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 3.10-1mdv2009.1
  + Revision: 319142
  - guh.
  - seriously, what the hell is up with this ocaml crap?
  - add package for ocaml bindings
  - use proper python macros
  - bindings package names should not be libified because they are not shared
    libraries with proper majors: call them brlapi-foo and obsolete the incorrect
    names
  - apparently there's no install-help any more
  - rebuild with python 2.6
  - new release 3.10
  - rediff javainclude.patch
  - drop declarator.patch (merged upstream)
* Fri Jul 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.9-7mdv2009.0
  + Revision: 231824
  - rebuild
  
    + Adam Williamson <awilliamson@mandriva.org>
      - better approach to java buildrequires and path suggested by anssi
* Fri Jul 04 2008 Adam Williamson <awilliamson@mandriva.org> 3.9-5mdv2009.0
  + Revision: 231509
  - have python package obsolete its old name
* Fri Jul 04 2008 Adam Williamson <awilliamson@mandriva.org> 3.9-4mdv2009.0
  + Revision: 231484
  - don't package COPYING
  - explicitly specify JAVA_HOME to fix java bindings build
  - have actually-useful explicit provides for python and java packages
  - enable java bindings build on all arches
  - add javainclude.patch to fix java include paths for openjdk
  - add declarator.patch to fix "empty declarator" build error (from upstream SVN)
  - add buildworkaround.patch to fix a known but yet unresolved build error
    (this workaround provided by upstream in mailing list)
  - rediff and reapply varargs.patch and dontstrip.patch (silently disabled by
    aginies in 3.9-1mdv)
  - new license policy
  - proper library / devel naming policy, not the hideous mess previously used
  - slight clean and re-arrange of spec
  
    + Thierry Vignaud <tv@mandriva.org>
      - rebuild
  
    + Pixel <pixel@mandriva.com>
      - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
  
    + Antoine Ginies <aginies@mandriva.com>
      - remove commented line %%configure due to strange build error on BS...
      - remove redundant install in %%install
      - update buildrequires
      - bump release
      - add some buildrequires, restore java-bindings for 32b

Files

/usr/lib/python2.7/site-packages/Brlapi-0.5.4-py2.7.egg-info
/usr/lib/python2.7/site-packages/brlapi.so


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Oct 10 00:04:08 2018